Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ast.expr
[Java] Class BinaryExpression

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.AnnotatedNode
              org.codehaus.groovy.ast.expr.Expression
                  org.codehaus.groovy.ast.expr.BinaryExpression

    public class BinaryExpression
    extends Expression

Represents two expressions and an operation

Authors:
  James Strachan

Version:
  \$Revision\$

Constructor Summary
`BinaryExpression(Expression leftExpression, Token operation, Expression rightExpression)`

Method Summary
`Expression` | `getLeftExpression()`
`Token` | `getOperation()`
`Expression` | `getRightExpression()`
`java.lang.String` | `getText()`
`static BinaryExpression` | `newAssignmentExpression(Variable variable, Expression rhs)` Creates an assignment expression in which the specified expression is written into the specified variable name.
`static BinaryExpression` | `newInitializationExpression(java.lang.String variable, ClassNode type, Expression rhs)` Creates variable initialization expression in which the specified expression is written into the specified variable name.
`void` | `setLeftExpression(Expression leftExpression)`
`void` | `setRightExpression(Expression rightExpression)`
`java.lang.String` | `toString()`
`Expression` | `transformExpression(ExpressionTransformer transformer)`
`void` | `visit(GroovyCodeVisitor visitor)`

Methods inherited from class Expression
getType, setType, transformExpression, transformExpressions, transformExpressions

Methods inherited from class AnnotatedNode
addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic

Methods inherited from class ASTNode
copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getText, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### BinaryExpression

    public BinaryExpression(Expression leftExpression, Token operation, Expression rightExpression)

Method Detail

### getLeftExpression

    public Expression getLeftExpression()

### getOperation

    public Token getOperation()

### getRightExpression

    public Expression getRightExpression()

### getText

    public java.lang.String getText()

### newAssignmentExpression

    public static BinaryExpression newAssignmentExpression(Variable variable, Expression rhs)

  Creates an assignment expression in which the specified expression is written into the specified variable name.

### newInitializationExpression

    public static BinaryExpression newInitializationExpression(java.lang.String variable, ClassNode type, Expression rhs)

  Creates variable initialization expression in which the specified expression is written into the specified variable name.

### setLeftExpression

    public void setLeftExpression(Expression leftExpression)

### setRightExpression

    public void setRightExpression(Expression rightExpression)

### toString

    public java.lang.String toString()

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

### visit

    public void visit(GroovyCodeVisitor visitor)

Groovy Documentation